// ICubeSDKSampleDlg.h : Header-Datei
//

#if !defined(AFX_ICUBESDKSAMPLEDLG_H__F948490F_BB92_4333_A9F1_77CB7987F24A__INCLUDED_)
#define AFX_ICUBESDKSAMPLEDLG_H__F948490F_BB92_4333_A9F1_77CB7987F24A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ICubeSDKVidControlDlg.h"
#include "ICubeSDKViewModeDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CICubeSDKSampleDlg Dialogfeld

class CICubeSDKSampleDlg : public CDialog
{
// Konstruktion
public:
	CICubeSDKSampleDlg(CWnd* pParent = NULL);	// Standard-Konstruktor
	void DispError(char *pstr, int code);
	void StartCamera(void);
	void InitTriggerDelay(void);
// Dialogfelddaten
	//{{AFX_DATA(CICubeSDKSampleDlg)
	enum { IDD = IDD_ICUBESDKSAMPLE_DIALOG };
	CComboBox	m_ComboFormat;
	CComboBox	m_ComboCam;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte Überladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CICubeSDKSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Unterstützung
	//}}AFX_VIRTUAL


// Implementierung
protected:
	HICON m_hIcon;

	CICubeSDKVidControlDlg	*m_pVidControlDlg;
	CICubeSDKViewModeDlg	*m_pViewModeDlg;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CICubeSDKSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnButtonOpen();
	afx_msg void OnButtonClose();
	afx_msg void OnButtonInit();
	afx_msg void OnSelchangeComboFormat();
	afx_msg void OnButtonStart();
	afx_msg void OnButtonStop();
	afx_msg void OnButtonSaveBmp();
	afx_msg void OnButtonGrabCallback();
	afx_msg void OnCheckEnableTrigger();
	afx_msg void OnRadioSoftwareTrigger();
	afx_msg void OnRadioHardwareTrigger();
	afx_msg void OnButtonDoSwTrigger();
	afx_msg void OnButtonVidControls();
	afx_msg void OnCheckHor();
	afx_msg void OnCheckVer();
	afx_msg void OnButtonViewMode();
	afx_msg LRESULT OnViewModeDlgMsg(WPARAM wP, LPARAM lP);
	afx_msg LRESULT OnVidControlDlgMsg(WPARAM wP, LPARAM lP);
	afx_msg void OnButtonTrigDelay();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnBUTTONSaveAVI();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fügt unmittelbar vor der vorhergehenden Zeile zusätzliche Deklarationen ein.

#endif // !defined(AFX_ICUBESDKSAMPLEDLG_H__F948490F_BB92_4333_A9F1_77CB7987F24A__INCLUDED_)
